> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# month

> MDO provider for the hard-coded list of "of" months in the recurrence dialog.

## "month" MDO List

MDO provider for the hard-coded list of "of" months in the recurrence dialog.

Implemented by the <see cref="T:SuperOffice.CRM.Lists.MonthProvider">MonthProvider</see> class.
The name of the MDO list is 'month'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/month
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("month", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name      | StyleHint | ExtraInfo |
| -- | --------- | --------- | --------- |
| 1  | January   |           |           |
| 2  | February  |           |           |
| 3  | March     |           |           |
| 4  | April     |           |           |
| 5  | May       |           |           |
| 6  | June      |           |           |
| 7  | July      |           |           |
| 8  | August    |           |           |
| 9  | September |           |           |
| 10 | October   |           |           |
| 11 | November  |           |           |
| 12 | December  |           |           |

## Related MDO Lists

* "monthheadings"
* "monthheadingswithallitem"
* "monthheadingswithallitemwithnoselection"
* "monthheadingswithnoselection"
* "monthwithallitem"
* "monthwithallitemwithnoselection"
* "monthwithnoselection"


## Related topics

- [Dynamic date range as criteria](/en/api/search/find-selection/date-range-as-criteria.md)
- [Enum WeekOfMonth](/en/automation/crmscript/reference/CRMScript.NetServer.WeekOfMonth.md)
- [NSRecurrenceMonthPattern](/en/automation/crmscript/reference/CRMScript.NetServer.NSRecurrenceMonthPattern.md)
- [SuperOffice.WebApi.Data.WeekOfMonth](/en/api/reference/webapi/SuperOffice.WebApi.Data.WeekOfMonth.md)
- [SuperOffice.WebApi.Data.RecurrenceMonthPattern](/en/api/reference/webapi/SuperOffice.WebApi.Data.RecurrenceMonthPattern.md)
- [Enum RecurrenceMonthlyPattern](/en/automation/crmscript/reference/CRMScript.NetServer.RecurrenceMonthlyPattern.md)
